Bug 243652 - Network Manager doesn't change address when DHCP lease expires
Network Manager doesn't change address when DHCP lease expires
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 05:09 EDT by Steve Hill
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
message log for dhcp test (165.70 KB, application/octet-stream)
2007-10-20 08:51 EDT, Need Real Name
no flags Details

  None (edit)
Description Steve Hill 2007-06-11 05:09:57 EDT
Description of problem:
If the DHCP lease expires and the DHCP server requests an address change, the
address bound to the NIC is not changed.  (This may be better filed against
dhclient, but the dhclient package doesn't appear to be in the bugzilla package
list)

Version-Release number of selected component (if applicable):
NetworkManager-0.6.5-2.fc7
dhclient-3.0.5-35.fc7


Steps to Reproduce:
1. Use NetworkManager to acquire a lease from the DHCP server
2. When the lease expires, have the DHCP server NAK the renewal and lease a
different IP address instead.
3. using "ip ad", observe that the NIC is still bound to the old IP instead of
the new IP.
  
Actual results:
The below log shows a lease of 137.44.10.133 being made and then the IP address
being changed to 137.44.10.147.  Everything appears to be correct, but the
interface remains bound to 137.44.10.133.

Jun 11 09:35:38 atlantis dhclient: DHCPREQUEST on eth0 to 137.44.10.254 port 67
Jun 11 09:35:38 atlantis dhclient: DHCPACK from 137.44.10.254
Jun 11 09:35:38 atlantis NetworkManager: <info>  DHCP daemon state is now 3
(renew) for interface eth0 
Jun 11 09:35:38 atlantis dhclient: bound to 137.44.10.133 -- renewal in 13 seconds.
Jun 11 09:35:51 atlantis dhclient: DHCPREQUEST on eth0 to 137.44.10.254 port 67
Jun 11 09:35:51 atlantis dhclient: DHCPNAK from 137.44.10.254
Jun 11 09:35:51 atlantis NetworkManager: <info>  DHCP daemon state is now 10
(unknown) for interface eth0 
Jun 11 09:35:51 atlantis dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 7
Jun 11 09:35:51 atlantis NetworkManager: <info>  DHCP daemon state is now 1
(starting) for interface eth0 
Jun 11 09:35:51 atlantis dhclient: DHCPOFFER from 137.44.10.254
Jun 11 09:35:51 atlantis dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Jun 11 09:35:51 atlantis dhclient: DHCPACK from 137.44.10.254
Jun 11 09:35:51 atlantis NetworkManager: <info>  DHCP daemon state is now 2
(bound) for interface eth0 
Jun 11 09:35:51 atlantis dhclient: bound to 137.44.10.147 -- renewal in 1603
seconds.

"ip ad" shows:
    inet 137.44.10.133/25 brd 137.44.10.255 scope global eth0

Expected results:
The NIC should be bound to the new IP address
Comment 1 Christopher Aillon 2007-06-11 13:18:44 EDT
Does this happen when not using NetworkManager?
Comment 2 Christopher Aillon 2007-06-11 13:25:56 EDT
Also, what version of dhcdbd are you running?
Comment 3 Jaakko Ruutiainen 2007-06-15 06:14:49 EDT
This happens without NetworkManager too.

Also when rebooting computer NIC takes old ip (from
/var/lib/dhclient/dhclient-eth0.leases ?). Running "/sbin/dhclient -1 eth0"
assings correct ip.

$ rpm -q dhcdbd
dhcdbd-2.7-4.fc7
Comment 4 Need Real Name 2007-07-18 14:45:09 EDT
i'm seeing this as well with dhclient-3.0.5-38.fc7 and dhcdbd-2.7-5.fc7.  i
noticed this because i use ip passthrough on my router and when the router
address changes, my eth0 does not.  if i deactivate/activate, eth0 gets the
address.  i didn't have to go through this with fc6.
Comment 5 David Cantrell 2007-10-08 14:12:21 EDT
Is this happening on an Fedora 8 Test release or with rawhide?
Comment 6 Steve Hill 2007-10-09 04:07:19 EDT
Unfortunately I'm not in a position to test this at the moment.
Comment 7 Need Real Name 2007-10-20 08:51:39 EDT
Created attachment 233401 [details]
message log for dhcp test
Comment 8 Need Real Name 2007-10-20 08:58:06 EDT
still not working for me on fc8t3 live cd w/no updates.  i've sent my messages
log.  seems like it should be working from what is in messages, however when i
do an ifconfig, the interface still shows the original address obtained when
first booting the livecd.  at the end of the log you can see where i
deactivated/activated the interface in order to get the correct address.
Comment 9 David Cantrell 2008-02-05 23:31:52 EST
Is this happening with rawhide now?  I have dhcp-4.0.0 in the tree now and would
like to know if this is still happening to you.
Comment 10 Brian Powell 2008-04-25 00:08:14 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.